Package de.willuhn.jameica.hbci.server.hbci

# Class HBCISepaSammelUeberweisungJob

java.lang.Object
de.willuhn.jameica.hbci.server.hbci.AbstractHBCIJob
de.willuhn.jameica.hbci.server.hbci.AbstractHBCISepaSammelTransferJob<SepaSammelUeberweisung>
de.willuhn.jameica.hbci.server.hbci.HBCISepaSammelUeberweisungJob

public class HBCISepaSammelUeberweisungJob extends AbstractHBCISepaSammelTransferJob<SepaSammelUeberweisung>
Job fuer "SEPA-Sammelueberweisung".

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.server.hbci.AbstractHBCIJob

`i18n`

## Constructor Summary

Constructors
Constructor
Description
`HBCISepaSammelUeberweisungJob(SepaSammelUeberweisung u)`
ct.

## Method Summary

Modifier and Type
Method
Description
`String`
`getIdentifier()`
HBCI4Java verwendet intern eindeutige Job-Namen.
`String`
`getName()`
Liefert einen sprechenden Namen fuer diesen Job.
`void`
`setJob(org.kapott.hbci.GV.HBCIJob job)`
Diese Funktion wird vom HBCISynchronizeBackend intern aufgerufen.

### Methods inherited from class de.willuhn.jameica.hbci.server.hbci.AbstractHBCISepaSammelTransferJob

`getContext, markCancelled, markExecuted, markFailed`

### Methods inherited from class de.willuhn.jameica.hbci.server.hbci.AbstractHBCIJob

`getFollowerJobs, getJobResult, handleResult, isExclusive, setExclusive, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParamUsage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCISepaSammelUeberweisungJob

public HBCISepaSammelUeberweisungJob(SepaSammelUeberweisung u) throws de.willuhn.util.ApplicationException, RemoteException
ct.

Parameters:
  `u` - die auszufuehrende Sammel-Ueberweisung.
Throws:
  `de.willuhn.util.ApplicationException`
  `RemoteException`

## Method Details

### getIdentifier

public String getIdentifier()
Description copied from class: `AbstractHBCIJob`
HBCI4Java verwendet intern eindeutige Job-Namen. Diese Funktion liefert genau den Namen fuer genau den gewuenschten Job.

Specified by:
  `getIdentifier` in class `AbstractHBCIJob`
Returns:
  Job-Identifier.
See Also:
  - `AbstractHBCIJob.getIdentifier()`

### setJob

public void setJob(org.kapott.hbci.GV.HBCIJob job) throws RemoteException, de.willuhn.util.ApplicationException
Description copied from class: `AbstractHBCIJob`
Diese Funktion wird vom HBCISynchronizeBackend intern aufgerufen. Sie uebergibt hier den erzeugten HBCI-Job der Abfrage.

Overrides:
  `setJob` in class `AbstractHBCIJob`
Parameters:
  `job` - der erzeugte Job.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractHBCIJob.setJob(org.kapott.hbci.GV.HBCIJob)`

### getName

public String getName() throws RemoteException
Description copied from class: `AbstractHBCIJob`
Liefert einen sprechenden Namen fuer diesen Job.

Specified by:
  `getName` in class `AbstractHBCIJob`
Returns:
  sprechender Name.
Throws:
  `RemoteException`
See Also:
  - `AbstractHBCIJob.getName()`